Search found 1 match

by Pikota
05 May 2019 15:19
Forum: Questions & Feedback
Topic: Promods 2.4 incompatible with ETS 1.34
Replies: 1
Views: 615

Promods 2.4 incompatible with ETS 1.34

I have ETS2 with going east, i installed all fine but in mod management appear in red...